## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pkgname resynthesizer
%global	commit adfa25ab0d11ed27ff301cb7db4b144c4c2fa112
%global	shortcommit %(c=%{commit}; echo ${c:0:7})
%global with_snapshot 1

#%%global gimpplugindir %%(%%___build_pre; gimptool-2.99 --gimpplugindir)/plug-ins
#%%global gimpscriptdir %%(%%___build_pre; gimptool-2.99 --gimpdatadir)/scripts

Summary: Gimp plug-in for texture synthesis
Name: gimp-%{pkgname}
Version:	3.0
Release:	%autorelease -p %{?shortcommit: -s git%{shortcommit}} 

# Automatically converted from old format: GPLv2+ - review is highly recommended.
License: GPL-2.0-or-later
Requires: 	gimp
BuildRequires:	gcc
BuildRequires:	gimp-devel
BuildRequires:	libappstream-glib
BuildRequires:	meson
URL: https://github.com/bootchk/%{pkgname}

# Source tarball generated as follows
# git clone git@github.com:bootchk/resynthesizer.git
# cd resynthesizer
# git checkout resynthesizer3
# git archive --format tar.xz --prefix resynthesizer_$(git rev-parse --short HEAD)/ \
# ... HEAD -o resynthesizer_$(git rev-parse --short HEAD).tar.xz

Source:		%{url}/archive/refs/heads/resynthesizer3.tar.gz#/%{pkgname}%{?shortcommit:-%{shortcommit}}.tar.gz

%description
Resynthesizer is a Gimp plug-in for texture synthesis. Given a sample of a 
texture, it can create more of that texture. This has uses including: 
- Creating more of a texture (including creation of tileable textures)
- Removing objects from images (great for touching up photos)
- Creating themed images (by transfering a texture from one image to another)

%prep
%autosetup -c -n %{pkgname}%{?shortcommit:-%{commit}}

%build
%meson
%meson_build

%install
%meson_install
mkdir %{buildroot}%{_metainfodir}
cp -v gimp-%{pkgname}.metainfo.xml %{buildroot}%{_metainfodir}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
%meson_test


%find_lang %{pkgname}

%files -f %{pkgname}.lang
%license COPYING
%doc README
%{_datadir}/%{pkgname}/*
%{_metainfodir}/*.metainfo.xml
%{gimpplugindir}/plugin-heal*
%{gimpplugindir}/plugin-map*
%{gimpplugindir}/plugin-render*
%{gimpplugindir}/plugin-resynth*
%{gimpplugindir}/plugin-uncrop*
%{gimpplugindir}/resynthesizer*


%changelog
## START: Generated by rpmautospec
* Sun Oct 06 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 3.0-0.1.gitadfa25a
- Uncommitted changes

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 2.0.3-17
- convert GPLv2+ license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.0.3-13
- Fix flatpak build

* Wed Nov 01 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.0.3-12
- Use %%py2_shebang_fix

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 18 2020 Tom Stellard <tstellar@redhat.com> - 2.0.3-5
- Add BuildRequires: make

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 26 2019 Luya Tshimbalanga <luya@fedoraproject.org> - 2.0.3-1
- * Fix Python shebangs

* Thu Sep 26 2019 Petr Viktorin <pviktori@redhat.com> - 2.0-15
- Fix Python shebangs

* Sat Aug 10 2019 Mohan Boddu <mboddu@bhujji.com> - 2.0-14
- Revert "gimp-resynthesizer fails to build from source:
  https://bugzilla.redhat.com/show_bug.cgi?id=1674969"

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0-11
- Remove obsolete Group tag

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 2.0-9
- add BuildRequires: gcc

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-7
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 03 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-4
- fix appdata filename everywhere

* Fri Jun 03 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-3
- Fix appdata filename

* Thu Jun 02 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-2
- Add appdata file

* Fri May 27 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0-1
- Update the package using git snapshot

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 0.16-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.16-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.16-14
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.16-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.16-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.16-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> - 0.16-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 0.16-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 03 2012 Nils Philippsen <nils@redhat.com> - 0.16-8
- rebuild against gimp 2.8.0 release candidate

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 16 2011 Nils Philippsen <nils@redhat.com> - 0.16-6
- rebuild for GIMP 2.7

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.16-5
- Rebuild for new libpng

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 0.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.16-2
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sun Aug 02 2009 Ewan Mac Mahon <ewan@fedoraproject.org> - 0.16-1
- Bump to latest upstream version, add patch to stop makefile changes
  making the build ignore Fedora cflags.

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> - 0.15-2
- Autorebuild for GCC 4.3

* Sun Oct 14 2007 Ewan Mac Mahon <ewan@fedoraproject.org> - 0.15-1
- Initial commit of new package to Fedora CVS
## END: Generated by rpmautospec
